org.eclnt.jsfserver.util

## Class CSSStyleManager

- java.lang.Object
- - org.eclnt.jsfserver.util.CSSStyleManager

-     public class CSSStyleManager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CSSStyleManager()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `combineCSSStyleWithAdditionalStyles(java.lang.String cssXml, java.lang.String styleName, java.lang.String styleXMLFileName, java.lang.ClassLoader cl)` Combines the CSS-style-xml with additional style information coming from additional styles coming from the classloader (page bean components).
    `static java.util.List<java.lang.String>` | `findCSSFiles(java.lang.String styleName)`
    `static java.lang.String` | `findCSSFilesAsCSVString(java.lang.String ccStyleName)`
    `static java.lang.String` | `findRiscStyleNameInDirectory(java.lang.String directory)`
    `static java.lang.String` | `readCSS(java.lang.String styleName)`
    `static java.util.List<CSSStyleClass>` | `readCSSStyleClasses(java.lang.String styleName)`
    `static java.lang.String` | `readJSON(java.lang.String styleName)`
    `static java.lang.String` | `readRiscStyleXML(java.lang.String styleName)` Read the CSS-style-xml for the current runtime and combine it with additional styles coming from the classloader.
    `static java.lang.String` | `readRiscStyleXMLDesignTime(ProjectInfo pi, java.lang.String styleName, java.lang.ClassLoader cl)`
    `static void` | `reset()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CSSStyleManager

          public CSSStyleManager()

  - ### Method Detail

    - #### findCSSFilesAsCSVString

          public static java.lang.String findCSSFilesAsCSVString(java.lang.String ccStyleName)

    - #### findCSSFiles

          public static java.util.List<java.lang.String> findCSSFiles(java.lang.String styleName)

    - #### readCSS

          public static java.lang.String readCSS(java.lang.String styleName)

    - #### readCSSStyleClasses

          public static java.util.List<CSSStyleClass> readCSSStyleClasses(java.lang.String styleName)

    - #### readJSON

          public static java.lang.String readJSON(java.lang.String styleName)

    - #### reset

          public static void reset()

    - #### readRiscStyleXMLDesignTime

          public static java.lang.String readRiscStyleXMLDesignTime(ProjectInfo pi,
                                                                    java.lang.String styleName,
                                                                    java.lang.ClassLoader cl)

    - #### findRiscStyleNameInDirectory

          public static java.lang.String findRiscStyleNameInDirectory(java.lang.String directory)

    - #### readRiscStyleXML

          public static java.lang.String readRiscStyleXML(java.lang.String styleName)

      Read the CSS-style-xml for the current runtime and combine it with additional styles coming from the classloader.

    - #### combineCSSStyleWithAdditionalStyles

          public static java.lang.String combineCSSStyleWithAdditionalStyles(java.lang.String cssXml,
                                                                             java.lang.String styleName,
                                                                             java.lang.String styleXMLFileName,
                                                                             java.lang.ClassLoader cl)

      Combines the CSS-style-xml with additional style information coming from additional styles coming from the classloader (page bean components).

Copyright © CaptainCasa Gmbh. All Rights Reserved.